Skip to main content
GET
/
api
/
v1
/
settings
Get Settings
curl --request GET \
  --url https://api.cognee.ai/api/v1/settings \
  --header 'Authorization: Bearer <token>'
{
  "llm": {
    "apiKey": "<string>",
    "model": "<string>",
    "provider": "<string>",
    "endpoint": "<string>",
    "apiVersion": "<string>",
    "models": {},
    "providers": [
      {
        "value": "<string>",
        "label": "<string>"
      }
    ]
  },
  "vectorDb": {
    "apiKey": "<string>",
    "url": "<string>",
    "provider": "<string>",
    "providers": [
      {
        "value": "<string>",
        "label": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cognee.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

llm
LLMConfigOutputDTO · object
required
vectorDb
VectorDBConfigOutputDTO · object
required